samba printer woes

Discussion in 'Server Operation' started by Kankles, Jan 24, 2006.

  1. Kankles

    Kankles New Member

    lo there again :)

    my next prob.. i'm trying to setup a printer on my red hat fedora 4 box. i have the printer installed using gimp-print drivers i got from http://www.linuxprinting.org/. everything seems to go great. i print a test page and it out it comes from my epson stylus colour 680.

    i setup samba and it loves it. my windows machines recognise it and if i click print in a document they say 'ok then'. recognising the printer as ready.

    then nothing.

    my windows pc says its done its job and my cups web interface tells me theres no jobs in the queue. yet no noise from the printer what so ever. and this is one noisy printer.

    any ideas?
     
    Last edited: Jan 24, 2006
  2. till

    till Super Moderator

    Which printer driver did you select. There are two possibilities. You can either install the Epson stylus printer on linux, then you have to use a postscript printer driver on windows. Or you install the epson 680 driver on windows, then you will have to use a raw queue / driver on linux / samba.
     
    Last edited: Jan 24, 2006
  3. Kankles

    Kankles New Member

    ah. that may be my problem. i installed the gimp-print drivers which included epson stylus 680 drivers on my linux system and the when i went to the pc to add printers it said "server dose not use the correct drivers, install correct drivers?" or something like that and i clicked yes. so i need to uninstall the drivers on my pc and find this postscript driver then i guess?

    thanks :)
     
  4. Kankles

    Kankles New Member

    thanks very much :)

    i uninstalled the printer on a windows machine. downloaded adobe postscript driver and a ppd file for my printer. installed and it worked straight away.

    guess i should read closer huh :p

    thanks till
     
  5. curiogeo

    curiogeo New Member

    Clarification on PPD drivers

    I have installed the printer in linux and I have attempted to install the postscript drivers for WIN clients but I am getting the following error on the linux box:
    Can you tell me if:
    1) I need to put the PPD for the brother printer in the folder
    2) What would make the above error happen?

    :confused:
     

Share This Page